OnCallPayReports
Retrieves an On-Call Pay Report
Retrieves a specific on-call pay report by id
GET
/
v1
/
on_call_pay_reports
/
{id}
Retrieves an On-Call Pay Report
curl --request GET \
--url https://api.rootly.com/v1/on_call_pay_reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/on_call_pay_reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/on_call_pay_reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "on_call_pay_reports",
"attributes": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_duration": 123,
"users_count": 123,
"currency": "<string>",
"hourly_rate_cents": 123,
"daily_rate_cents": 123,
"total_pay_cents": 123,
"include_shadow": true,
"show_individual_shift_data": true,
"has_single_rate": true,
"enabled_granular_time_breakdown": true,
"last_generated_at": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"use_responders_time_zone": true,
"csv_file_url": "<string>",
"xlsx_file_url": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Was this page helpful?
Previous
Update an On-Call Pay ReportUpdate a specific on-call pay report by id. Triggers report regeneration.
Next
⌘I
Retrieves an On-Call Pay Report
